> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Account

> Add a new account (org) to an existing tenant. Requires a valid tenant_org_token as a Bearer token in the Authorization header.



## OpenAPI

````yaml post /api/tenant/add_account
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/tenant/add_account:
    post:
      tags:
        - Tenant
      summary: Add Account
      description: >-
        Add a new account (org) to an existing tenant. Requires a valid
        tenant_org_token as a Bearer token in the Authorization header.
      operationId: tenant_add_account
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddAccountRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddAccountResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    AddAccountRequest:
      properties:
        account_id:
          type: string
          title: Account Id
        admin_email:
          type: string
          format: email
          title: Admin Email
        admin_name:
          type: string
          title: Admin Name
        admin_password:
          type: string
          title: Admin Password
      type: object
      required:
        - account_id
        - admin_email
        - admin_name
        - admin_password
      title: AddAccountRequest
    AddAccountResponse:
      properties:
        message:
          type: string
          title: Message
        account_org_token:
          type: string
          title: Account Org Token
      type: object
      required:
        - message
        - account_org_token
      title: AddAccountResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````